# TransactionSigner | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- TransactionSigner

## Index

### Constructors

- constructor

### Properties

- checkOverlap
- checkOversign
- originDone
- sigHash
- transaction

### Methods

- appendOrigin
- getTxInComplete
- resume
- signOrigin
- signSponsor
- createSponsorSigner

## Constructors

### constructor

- new TransactionSigner(transaction: StacksTransaction ): TransactionSigner

- - Defined in packages/transactions/src/signer.ts:15

  #### Parameters

  - ##### transaction: StacksTransaction

  #### Returns TransactionSigner

## Properties

### checkOverlap

checkOverlap: boolean

- Defined in packages/transactions/src/signer.ts:15

### checkOversign

checkOversign: boolean

- Defined in packages/transactions/src/signer.ts:14

### originDone

originDone: boolean

- Defined in packages/transactions/src/signer.ts:13

### sigHash

sigHash: string

- Defined in packages/transactions/src/signer.ts:12

### transaction

transaction: StacksTransaction

- Defined in packages/transactions/src/signer.ts:11

## Methods

### appendOrigin

- appendOrigin(publicKey: StacksPublicKey ): void

- - Defined in packages/transactions/src/signer.ts:67

  #### Parameters

  - ##### publicKey: StacksPublicKey

  #### Returns void

### getTxInComplete

- getTxInComplete(): StacksTransaction

- - Defined in packages/transactions/src/signer.ts:95

  #### Returns StacksTransaction

### resume

- resume(transaction: StacksTransaction ): void

- - Defined in packages/transactions/src/signer.ts:99

  #### Parameters

  - ##### transaction: StacksTransaction

  #### Returns void

### signOrigin

- signOrigin(privateKey: StacksPrivateKey ): void

- - Defined in packages/transactions/src/signer.ts:41

  #### Parameters

  - ##### privateKey: StacksPrivateKey

  #### Returns void

### signSponsor

- signSponsor(privateKey: StacksPrivateKey ): void

- - Defined in packages/transactions/src/signer.ts:82

  #### Parameters

  - ##### privateKey: StacksPrivateKey

  #### Returns void

### Static createSponsorSigner

- createSponsorSigner(transaction: StacksTransaction, spendingCondition: SpendingCondition ): TransactionSigner

- - Defined in packages/transactions/src/signer.ts:25

  #### Parameters

  - ##### transaction: StacksTransaction

  - ##### spendingCondition: SpendingCondition

  #### Returns TransactionSigner

Generated using TypeDoc